#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#

Name:           GLStats
Version:        0.3.1
Release:        2.12
Summary:        Generic OpenGL overlay statistics renderer
Group:          Development/Libraries/C and C++
License:        LGPL-2.1
URL:            http://www.equalizergraphics.com/
Source0:        https://github.com/Eyescale/GLStats/archive/0.3.1.tar.gz#/%{name}-%{version}.tar.gz
Source1:        https://github.com/Eyescale/CMake/archive/master.tar.gz#/CMake-common_git20150515.tar.gz
# PATCH-FIX-OPENSUSE include.patch avvissu@yandex.ru -- Remove Buildyard project
Patch0:         GLStats-0.3.1_include.patch
# PATCH-FIX-OPENSUSE test.patch avvissu@yandex.ru -- Fix CMake Error: The test doesn't work
Patch1:         GLStats-0.3.1_test.patch
# PATCH-FIX-UPSTREAM doxygen.patch avvissu@yandex.ru -- Fix build error: need administrative privileges
Patch2:         CMake_doxygen.patch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  doxygen
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(Lunchbox)

%description
No additional information:
...
GLStats Runtime Libraries

%package        devel
Summary:        Development files for OpenGL overlay statistics renderer
Group:          Development/Libraries/C and C++
License:        LGPL-2.1
Requires:       pkgconfig(Lunchbox)

%description    devel
Generic OpenGL overlay statistics renderer.
...
This package contains header files and libraries needed to develop 
application that use %{name}.

%package        doc
Summary:        Documentation for %{name}
Group:          Documentation/HTML
BuildArch:      noarch

%description 	doc
Generic OpenGL overlay statistics renderer.
...
API Documentation for %{name}.

%prep
%setup -q -a1
mv CMake-common* CMake/common
%patch0 -p1
%patch1 -p1
pushd CMake/common
%patch2 -p1
popd

# Do not compile in DATE and TIME
grep -rl 'HTML_TIMESTAMP' . | \
	xargs --no-run-if-empty --verbose \
	sed -i '/^HTML_TIMESTAMP/s/YES/NO/'

%build
%cmake \
	-DCMAKE_BUILD_TYPE=Release \
	-DCMAKE_SKIP_RPATH:BOOL=OFF

make %{?_smp_mflags}
make %{?_smp_mflags} doxygen

%install
%make_install -C build

mkdir -p %{buildroot}%{_docdir}
mv %{buildroot}{%{_datadir}/%{name}/doc,%{_docdir}/%{name}}

%fdupes -s %{buildroot}%{_docdir}

%check
#sed -i '/ctest/s|\(bin/ctest\)|\1 -V|' build/Makefile
#make test -C build

%files devel
%defattr(-, root, root)
%{_includedir}/%{name}
%{_libdir}/lib%{name}.a
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/%{name}

%files doc
%defattr(-,root,root)
%doc LICENSE* README* doc/LGPL*
%{_docdir}/%{name}

%changelog
* Sun May 17 2015 avvissu@yandex.ru
- Update to 0.3.1
- Add source package CMake-common (Common CMake modules)
- Drop old patches: fix-64bit.diff
- Add new patches:
  * CMake_doxygen.patch
  * GLStats-0.3.1_include.patch
  * GLStats-0.3.1_test.patch
- Add doc: Doxygen and other documentation
- Use pkgconfig in package names
- Fix for RPMLINT W: Do not compile in DATE and TIME
- Use %%%%cmake macro instead of cmake
- Add check for duplicates, remove them and make symlinks
- Spec file cleanup
* Mon Dec 23 2013 avvissu@yandex.ru
- Initial release 0.1.0
